## ktp-desktop-applets 20.08.0

=== CMakeLists.txt ===
project(ktp-desktop-applets)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")

set(KTP_DESKTOP_APPLETS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 REQUIRED COMPONENTS Qml DBus)
find_package(KF5 REQUIRED COMPONENTS Plasma WindowSystem)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

add_subdirectory(chat)
add_subdirectory(contactlist)
add_subdirectory(person)
find_package(KF5 REQUIRED COMPONENTS I18n)
ki18n_install(po)

=== chat/qmlplugin/CMakeLists.txt ===
add_library (ktpchatplugin SHARED hide-window-component.cpp htmlhelper.cpp qmlplugin.cpp)

target_link_libraries (ktpchatplugin
    Qt5::Qml
    
    KF5::WindowSystem
)

install (TARGETS ktpchatplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpchat)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpchat)

=== debian/changelog ===
ktp-desktop-applets (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update the build dependencies according to the upstream build system:
    - bump libktp-dev to 20.08.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:10:36 +0200

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.11~),
               gettext,
               libkf5i18n-dev,
               libkf5plasma-dev,
               libkf5windowsystem-dev,
               libktp-dev (>= 20.08.0~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         qml-module-org-kde-people,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ktp-telepathy-contact-list (<= 0.6.1-1),
        plasma-widget-telepathy-chat (<= 0.6.1-1),
        plasma-widget-telepathy-presence (<= 0.6.1-1),
        ${kde-l10n:all}
Replaces: ktp-telepathy-contact-list (<= 0.6.1-1),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1),
          ${kde-l10n:all}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kde-telepathy-desktop-applets-dbg (<= 15.12.1-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ktp-desktop-applets 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktp-desktop-applets (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:40 +0100

ktp-desktop-applets (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:51:28 +0100

ktp-desktop-applets (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:42:01 +0100

ktp-desktop-applets (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:22:19 +0100

ktp-desktop-applets (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:40:28 +0100

ktp-desktop-applets (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:26:21 +0100

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev,
               libkf5plasma-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libktp-dev (>= 4:20.08.1~),
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         qml-module-org-kde-people,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1),
          ${kde-l10n:all}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-desktop-applets 20.12.3

=== debian/changelog ===
ktp-desktop-applets (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:27:01 +0000

ktp-desktop-applets (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:00:16 +0000

ktp-desktop-applets (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:14:15 +0000

ktp-desktop-applets (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:33:25 +0000

ktp-desktop-applets (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:57:24 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.08.1~),
+               libktp-dev (>= 4:20.12.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,

## ktp-desktop-applets 21.08.1

=== debian/changelog ===
ktp-desktop-applets (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:59 +0100

ktp-desktop-applets (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:08:28 +0100

ktp-desktop-applets (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:36 +0100

ktp-desktop-applets (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:38:04 +0100

ktp-desktop-applets (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:40 +0100

ktp-desktop-applets (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:53 +0100

ktp-desktop-applets (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:13:17 +0100

ktp-desktop-applets (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.12.3~),
+               libktp-dev (>= 4:21.08.1~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,

## ktp-desktop-applets 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktp-desktop-applets (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop kde-l10n migration rules, not needed anymore.
  * Drop dbgsym migration rules, not needed anymore.
  * Drop obsolete Breaks / Replaces.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Apr 2022 00:13:28 +0200

ktp-desktop-applets (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:31:32 +0900

ktp-desktop-applets (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Bump libktp-dev dependency to same release.
  * Borrow minimal upstream signing key from k3b.
  * Update watch file for signatures.
  * Drop Kubuntu from maintainer name.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:43:42 +0900

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.11~),
               gettext,
               libkf5i18n-dev,
               libkf5plasma-dev,
               libkf5windowsystem-dev,
               libktp-dev (>= 21.04.0~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-people,
         qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-desktop-applets 22.08.1

=== debian/changelog ===
ktp-desktop-applets (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:59 +0100

ktp-desktop-applets (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:55:19 +0100

ktp-desktop-applets (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:54 +0100

ktp-desktop-applets (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:33:08 +0100

ktp-desktop-applets (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:45 +0100

ktp-desktop-applets (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:51 +0100

ktp-desktop-applets (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:54:11 +0100

ktp-desktop-applets (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:45 +0000

ktp-desktop-applets (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key
  * Add signature support for debian/watch
  * Update lintian override

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:23:21 +0000

ktp-desktop-applets (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:31:10 +0000

ktp-desktop-applets (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:28:18 +0000

ktp-desktop-applets (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:23:31 +0000

ktp-desktop-applets (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:43 +0000

ktp-desktop-applets (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:57 +0000

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev,
               libkf5plasma-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libktp-dev (>= 4:22.08.1~),
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         qml-module-org-kde-people,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1),
          ${kde-l10n:all}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-desktop-applets 22.12.1

=== debian/changelog ===
ktp-desktop-applets (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:08:09 +0100

ktp-desktop-applets (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).
  * Add lintian override for using the  variable to keep the kde-
    telepathy-data in sync.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:52 +0100

## ktp-desktop-applets 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(KTP_DESKTOP_APPLETS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ktp-desktop-applets VERSION ${KTP_DESKTOP_APPLETS_VERSION})

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED COMPONENTS Qml DBus)
find_package(KF5 REQUIRED COMPONENTS I18n Plasma WindowSystem)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

add_subdirectory(chat)
add_subdirectory(contactlist)
add_subdirectory(person)

ki18n_install(po)

=== contactlist/qmlplugin/CMakeLists.txt ===
add_library (ktpcontactlistplugin SHARED register-contact-applet.cpp qmlplugin.cpp)

target_link_libraries (ktpcontactlistplugin
    Qt5::Qml

    Qt5::DBus
)

install (TARGETS ktpcontactlistplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ktpcontactlist)
install (FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ktpcontactlist)

=== debian/changelog ===
ktp-desktop-applets (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:29 +0100

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.6.0~),
               gettext,
               libkf5i18n-dev,
               libkf5plasma-dev,
               libkf5windowsystem-dev,
               libktp-dev (>= 21.04.0~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-people,
         qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-desktop-applets 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== person/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.kde.person/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop
               @ONLY)

install(DIRECTORY org.kde.person DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids PATTERN metadata.desktop.cmake EXCLUDE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids/org.kde.person/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} RENAME plasma-applet-org.kde.person.desktop)

=== chat/qmlplugin/CMakeLists.txt ===
add_library (ktpchatplugin SHARED hide-window-component.cpp htmlhelper.cpp qmlplugin.cpp)

target_link_libraries (ktpchatplugin
    Qt5::Qml
    
    KF5::WindowSystem
)

install (TARGETS ktpchatplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ktpchat)
install (FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ktpchat)

=== debian/changelog ===
ktp-desktop-applets (4:23.04.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:55 +1100

ktp-desktop-applets (4:23.04.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:26:52 +0000

ktp-desktop-applets (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:54:35 +0100

ktp-desktop-applets (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:01:04 +0100

ktp-desktop-applets (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:50 +0000

ktp-desktop-applets (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:26:04 -0600

ktp-desktop-applets (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:38 +0000

ktp-desktop-applets (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:15:25 +0000

ktp-desktop-applets (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:38 +0000

ktp-desktop-applets (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:34 +0000

ktp-desktop-applets (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:14:32 +0000

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev,
               libkf5plasma-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libktp-dev (>= 4:23.04.3~),
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         qml-module-org-kde-people,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1),
          ${kde-l10n:all}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.
